Page MenuHomePhabricator

histedit: add support to output nodechanges using formatter
ClosedPublic

Authored by pulkit on Nov 8 2017, 3:08 PM.

Details

Summary

The JSON output of nodechanges will help in automation and to improve editor
integrations such as for Nuclide.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Nov 8 2017, 3:08 PM
dlax requested changes to this revision.Nov 10 2017, 2:43 PM
dlax added a subscriber: dlax.
dlax added inline comments.
hgext/histedit.py
921

formatteropts should be enought (you don't need --style I guess)

This revision now requires changes to proceed.Nov 10 2017, 2:43 PM
pulkit updated this revision to Diff 3420.Nov 11 2017, 8:48 AM
pulkit marked an inline comment as done.Nov 11 2017, 8:50 AM
dlax accepted this revision.Nov 11 2017, 12:56 PM
yuja requested changes to this revision.Nov 13 2017, 9:05 AM
yuja added a subscriber: yuja.
yuja added inline comments.
hgext/histedit.py
1208

Can you fix the formatter issue in rebase.py first so we won't
have to apply the same change again on histedit.py?

Probably we wouldn't want to call hf(oldn) and fl([hf(n)...]) as {key} and {value} in template respectively. I think something
like {oldnode} and {newnodes} would be better, but I don't
know what are the correct terms here.

This revision now requires changes to proceed.Nov 13 2017, 9:05 AM
pulkit updated this revision to Diff 3783.Nov 22 2017, 6:28 PM
yuja accepted this revision.Nov 24 2017, 10:01 PM

Queued, thanks.

This revision is now accepted and ready to land.Nov 24 2017, 10:01 PM
This revision was automatically updated to reflect the committed changes.